{ lib, config, pkgs, ... }:

with lib;

let
  cfg = config.roles.nvidia;
in
{
  options.roles.nvidia = {
    enable = mkEnableOption "Enable the nvidia role";
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      libva-utils
      nvidia-vaapi-driver
      nvtopPackages.nvidia
    ];
  };
}
